=== debian/changelog ===
xabacus (7.5.5-1) unstable; urgency=low

  * [47215bc] Imported Upstream version 7.5.5
  * [d8f9613] reimport debian/ as present in 7.1.7-1 Somehow the last
    upload had been made native, including debian/ in the orig.tar.gz!
    Let's now get back to sane ways ...
  * [3a539b7] New / old maintainer (Closes: #382562)
  * [6164813] debian/copyright: restructure
  * [c3eab2f] debian/{doc-base,menu,desktop}: adjust to new standards
  * [bb1faa0] debian/{rules,control}: streamline, new standards, making
    lintian happy and allowing for Standards-Version: 3.8.3 (Closes:
    #536836)
  * [e0b3dc6] change the source package format to 3.0 (quilt)
  * [b2e34d2] debian/control: add Vcs-Browser and Vcs-Git

 -- Florian Ernst <florian@debian.org>  Tue, 29 Dec 2009 17:48:21 +0100
