## xabacus 7.6

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2009  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2010  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -21,6 +21,7 @@
 # DOS, UNIX & MKS
 #CP = copy
 #RM = del
+#LN_S = cp
 
 CP = cp -p
 RM = rm -f
@@ -36,7 +37,7 @@
 #CC = CC
 #CC = g++ -Wall -Woverloaded-virtual
 #CC = gcc -Wall -ansi -pedantic
-CC = gcc-3 -g -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+CC = gcc-3 -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
 
 # DEFAULT, Watcom
 LD = $(CC)
@@ -107,7 +108,7 @@
 LIBRARIES = -L$(LIBPATH) -lwinmm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
-xwin.h file.h timer.h rngs.h sound.h
+xwin.h file.h timer.h rngs.h sound.h version.h
 
 COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
 $(WIDGET)M$(O)$(S)$(WIDGET)T$(O)
@@ -174,6 +175,9 @@
 sound.h:	../sound.h
 	$(LN_S) ../sound.h sound.h
 
+version.h:	../version.h
+	$(LN_S) ../version.h version.h
+
 $(WIDGET)$(C):	../$(WIDGET)$(C)
 	$(LN_S) ../$(WIDGET)$(C) $(WIDGET)$(C)
 
@@ -210,10 +214,10 @@
 lessons:	../lessons
 	$(CP)r ../lessons .
 
-$(WIDGET).txt:	../COPYING ../VERSION ../README ../TODO ../ChangeLog ../NEWS
+$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog ../NEWS
 	cat ../COPYING > $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
-	cat ../VERSION >> $(WIDGET).txt
+	cat version.h | cut -f2 -d\" >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
@@ -253,7 +257,7 @@
 		> $(wIDGET).ico
 	$(RM) *.ppm *.pgm
 
-$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico
+$(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico version.h
 	$(RC) $< -O coff -o $@
 
 #	$(RC) $(INCLUDES) $(PROG).rc
@@ -279,7 +283,7 @@
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
 	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
-	$(RM) xwin.h file.h timer.h rngs.h sound.h Abacus.les
+	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h Abacus.les
 	$(RM)r lessons
 
 small:	all
