=== debian/changelog ===
xabacus (7.6-1) unstable; urgency=low

  * [fcc390d] Imported Upstream version 7.6
  * [da52bff] Standards-Version: 3.8.4

 -- Florian Ernst <florian@debian.org>  Wed, 17 Feb 2010 18:10:09 +0100
