=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev, autotools-dev
 Homepage: http://www.tux.org/~bagleyd/abacus.html
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
