## xabacus 7.6.8

=== win32/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 CP = cp -p
 RM = rm -f
-LN_S = rm -f *.lnk; ln -s
+LN_S = ln -fs
 
 # Set your C++ compiler
 # Sun, SunC, Borland, Watcom, Microsoft, GNU
