=== debian/changelog ===
xabacus (7.6.8-3) unstable; urgency=low

  * [ef0c5aa] debian/control: explicitly add libaudiofile-dev to B-D as we
    explicitly link to this library (see #556687 for background) and indirect
    B-D via libsd doesn't suffice (Closes: #657594)
  * [aa1017e] debian/rules: add recommended targets, and list phony targets
  * [02f0cf4] debian/control: Standards-Version: 3.9.3 (no further changes
    required)
  * [de76a79] debian/changelog: s/explicitely/explicitly/ as suggested by
    lintian
  * [6ccf1ae] drop old and unused lintian override
  * [315d365] use hardening via buildflags, B-D on dpkg-dev (>= 1.16.1)
    accordingly

 -- Florian Ernst <florian@debian.org>  Fri, 08 Jun 2012 14:59:40 +0200

xabacus (7.6.8-2) unstable; urgency=low

  * [d871a3f] explicitly pass audiofile to the linker; this works for the
    current packages, but generally the configure script ought to handle this;
    tested with binutils-gold (Closes: #556687)

 -- Florian Ernst <florian@debian.org>  Thu, 03 Mar 2011 18:58:36 +0100

xabacus (7.6.8-1) unstable; urgency=low

  * [9204a1a] Imported Upstream version 7.6.8
  * [1ea93bd] debian/copyright: update copyright years
  * [fd3513b] debian/control: Standards-Version: 3.9.1 (no changes
    required)

 -- Florian Ernst <florian@debian.org>  Mon, 21 Feb 2011 20:58:40 +0100
