=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev, autotools-dev
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libaudiofile-dev, libxpm-dev, autotools-dev, dpkg-dev (>= 1.16.1~)
 Homepage: http://www.tux.org/~bagleyd/abacus.html
 Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
 Vcs-Git: git://git.debian.org/collab-maint/xabacus.git
