## xabacus 7.7.1

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2010  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2012  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -105,7 +105,7 @@
 #LIBPATH = $(CHOME)lib
 LIBPATH = $(CHOME)
 INCLUDES = -I$(INCPATH)
-LIBRARIES = -L$(LIBPATH) -lwinmm
+LIBRARIES = -L$(LIBPATH) -lwinmm -lm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
@@ -275,6 +275,8 @@
 run:
 	./$(PROG)
 
+# runtime options are currently ignored in Windows, set ini
+
 clean:
 	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
@@ -298,9 +300,10 @@
 	$(RM) `cygpath -W`/$(PROG)$(E)
 	$(RM) `cygpath -W`/$(PROG).ini
 
-antic :
+antic:
 	antic *.h *.c
-lint :	$(SRCS)
+
+lint:	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
 ASCIIWINEXTEND=c h ini rc txt htm les
