=== debian/changelog ===
xabacus (7.7.1-3) unstable; urgency=low

  * [39e491c] B-D on libmotif-dev instead of lesstif2-dev (Closes: #714674)
  * [63883a8] Standards-Version: 3.9.4 (no changes required)

 -- Florian Ernst <florian@debian.org>  Thu, 22 Aug 2013 13:10:36 +0200

xabacus (7.7.1-2) unstable; urgency=low

  * [5a30197] debian/control: wrap-and-sort
  * [9bb7924] debian/control: explicitly Build-Depend on libxt-dev
    (Closes: #707926)

 -- Florian Ernst <florian@debian.org>  Sun, 12 May 2013 11:16:30 +0200

xabacus (7.7.1-1) unstable; urgency=low

  * [fb38951] Imported Upstream version 7.7.1
  * [d729f5c] debian/control: adjust Vcs-* to best practices
  * [a027961] debian/copyright: adjust copyright years

 -- Florian Ernst <florian@debian.org>  Sun, 05 May 2013 10:53:18 +0200
