=== debian/control ===
--- 
+++ 
@@ -2,15 +2,22 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libaudiofile-dev, libxpm-dev, autotools-dev, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
+Build-Depends: autotools-dev,
+               debhelper (>= 5),
+               dpkg-dev (>= 1.16.1~),
+               libaudiofile-dev,
+               libesd0-dev,
+               libmotif-dev,
+               libxpm-dev,
+               libxt-dev
 Homepage: http://www.tux.org/~bagleyd/abacus.html
-Vcs-Browser: http://git.debian.org/?p=collab-maint/xabacus.git
-Vcs-Git: git://git.debian.org/collab-maint/xabacus.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xabacus.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/xabacus.git
 
 Package: xabacus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: xabacus
 Conflicts: xabacus
 Replaces: xabacus
@@ -25,7 +32,7 @@
 
 Package: xmabacus
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Priority: extra
 Provides: xabacus
 Conflicts: xabacus
