=== debian/rules ===
--- 
+++ 
@@ -12,28 +12,28 @@
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
 		    --without-rplay --with-esound --without-nas
 
-CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-        CFLAGS += -O0
-else
-        CFLAGS += -O2
-endif
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS += -Wall
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	true
 
 build-motif-stamp:
 	dh_testdir
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
-	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --with-motif
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --with-motif
 	$(MAKE)
 	touch $@
 
 build-nomotif-stamp:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) -i distclean
-	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --without-motif
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --without-motif
 	$(MAKE)
 	touch $@
 
@@ -44,7 +44,6 @@
 	dh_clean build-motif-stamp build-nomotif-stamp config.sub config.guess
 
 install: install-motif-stamp install-nomotif-stamp
-	install -D -m 0644 debian/xabacus.lintian-overrides $(CURDIR)/debian/xabacus/usr/share/lintian/overrides/xabacus
 	for INFIX in '' m ; do \
 		set -e ; \
 		install -D debian/x$${INFIX}abacus.desktop \
@@ -84,4 +83,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build build-arch build-indep build-stamp build-motif-stamp build-nomotif-stamp clean install install-motif-stamp install-nomotif-stamp binary-indep binary-arch binary
