=== debian/watch ===
version=2
http://ftp.tux.org/pub/tux/bagleyd/xabacus/ xabacus-(.*)\.tar\.bz2
