## xabacus 8.0.0

=== debian/changelog ===
xabacus (8.0.0-2) unstable; urgency=medium

  * [a2601b4] fix xmabacus.desktop to refer to the correct binary and icon
  * [c5e4ec4] debian/rules: enable all hardening

 -- Florian Ernst <florian@debian.org>  Wed, 01 Oct 2014 21:25:08 +0200

xabacus (8.0.0-1) unstable; urgency=medium

  * [9947431] Imported Upstream version 8.0.0
    + [834d445] install new xpm
    + [fdf1028] debian/copyright: adjust Copyright year
  * [5e08f8c] debian/control: Standards-Version 3.9.5 (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 06 Apr 2014 13:36:50 +0200
