=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: autotools-dev,
                debhelper (>= 5),
                dpkg-dev (>= 1.16.1~),
