## xabacus 8.0.2

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2012  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2014  David A. Bagley, bagleyd@tux.org
 #
 # All Rights Reserved
 #
@@ -27,6 +27,14 @@
 RM = rm -f
 LN_S = ln -fs
 
+# MinGW System Type Triplets
+# most generic
+#TRIPLET = i686-pc-mingw32
+# on 64 bit building for 32 bit platforms
+TRIPLET = i686-w64-mingw32
+# on 64 building for 64 bit platforms
+#TRIPLET = x86_64-w64-mingw32
+
 # Set your C++ compiler
 # Sun, SunC, Borland, Watcom, Microsoft, GNU
 #CC = cc
@@ -37,7 +45,9 @@
 #CC = CC
 #CC = g++ -Wall -Woverloaded-virtual
 #CC = gcc -Wall -ansi -pedantic
-CC = gcc-3 -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
+#GCC = gcc-3 -mno-cygwin
+GCC = $(TRIPLET)-gcc
+CC = $(GCC) -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format -Wstrict-aliasing
 
 # DEFAULT, Watcom
 LD = $(CC)
@@ -47,7 +57,9 @@
 #RC = rc
 #RC = brc
 #RC = brcc
-RC = windres
+#WINDRES = windres
+WINDRES = $(TRIPLET)-windres
+RC = $(WINDRES)
 
 # Sun, SunC
 LINT = lint
@@ -99,7 +111,8 @@
 #CHOME = c:\bc\
 #CHOME = c:/bc/
 #CHOME =
-CHOME = /usr/lib/w32api
+#CHOME = /usr/lib/w32api
+CHOME = /usr/$(TRIPLET)/sys-root/mingw
 ##INCPATH = $(CHOME)include
 INCPATH = /usr/local/include
 #LIBPATH = $(CHOME)lib
@@ -126,14 +139,15 @@
 
 DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
 -DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
--DBUMPSOUND=\"bump\" -DDRIPSOUND=\"move\" \
+-DBUMPSOUND=\"bump\" -DMOVESOUND=\"move\" -DDRIPSOUND=\"drip\" \
 -DDEMOPATH=\"$(DEMOPATH)\"
 
 # large memory model: Borland, Microsoft, UNIX
 ##COPT = -ml -WE -v -w4
 #COPT = -AL -GA -Ow -W4 -Zp -Zi
-#COPT = -O2
-COPT = -O2 -mno-cygwin
+#COPT = -mno-cygwin
+COPT = -O2
+#COPT = -g
 #COPT = -g -DMONOTEST
 
 # Borland, Microsoft, UNIX
@@ -243,18 +257,14 @@
 sound$(O):	sound.h file.h
 $(PROG)$(O):	$(WIDGET).h $(WIDGET)P.h xwin.h
 
-$(wIDGET).ico:	../pixmaps/$(wIDGET).t.xpm ../pixmaps/$(wIDGET).m.xpm ../pixmaps/$(wIDGET).l.xpm
-	xpmtoppm -alphaout $(wIDGET)_alpha.t.pgm ../pixmaps/$(wIDGET).t.xpm >\
-		$(wIDGET).t.ppm
-	xpmtoppm -alphaout $(wIDGET)_alpha.m.pgm ../pixmaps/$(wIDGET).m.xpm >\
-		$(wIDGET).m.ppm
-	xpmtoppm -alphaout $(wIDGET)_alpha.l.pgm ../pixmaps/$(wIDGET).l.xpm >\
-		$(wIDGET).l.ppm
-	ppmtowinicon -andpgms\
-		$(wIDGET).t.ppm $(wIDGET)_alpha.t.pgm\
-		$(wIDGET).m.ppm $(wIDGET)_alpha.m.pgm\
-		$(wIDGET).l.ppm $(wIDGET)_alpha.l.pgm\
-		> $(wIDGET).ico
+$(wIDGET).ico:	../pixmaps/16x16/$(wIDGET).xpm ../pixmaps/32x32/$(wIDGET).xpm ../pixmaps/48x48/$(wIDGET).xpm
+	LIST="";\
+	for i in 16x16 32x32 48x48; do\
+		xpmtoppm -alphaout $(wIDGET)_alpha_$$i.pgm\
+		../pixmaps/$$i/$(wIDGET).xpm > $(wIDGET)_$$i.ppm;\
+		LIST="$$LIST $(wIDGET)_$$i.ppm $(wIDGET)_alpha_$$i.pgm";\
+	done;\
+	ppmtowinicon -andpgms $$LIST > $(wIDGET).ico
 	$(RM) *.ppm *.pgm
 
 $(PROG).res:	$(PROG).rc $(WIDGET).h $(wIDGET).ico version.h
@@ -275,12 +285,11 @@
 run:
 	./$(PROG)
 
-# runtime options are currently ignored in Windows, set ini
+# runtime options are currently ignored in Windows, set in ini file
 
 clean:
 	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj *.lnk
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
-	$(RM) *.ppm *.pgm
 
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
