=== debian/changelog ===
xabacus (8.0.2-1) unstable; urgency=medium

  * [215d7b8] Imported Upstream version 8.0.2
  * [dc30ec9] debian/control: Standards-Version: 3.9.6 (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 26 Apr 2015 11:45:13 +0200
