=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
 		    --without-rplay --with-esound --without-nas
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS += -Wall
@@ -27,14 +28,14 @@
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
 	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --with-motif
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
 	touch $@
 
 build-nomotif-stamp:
 	dh_testdir
 	[ ! -f Makefile ] || $(MAKE) -i distclean
 	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" LIBS="-laudiofile" ./configure $(CONFIGURE_FLAGS) --without-motif
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" XWIDGETLDFLAGS="$(LDFLAGS)"
 	touch $@
 
 clean:
@@ -49,8 +50,8 @@
 		install -D debian/x$${INFIX}abacus.desktop \
 			$(CURDIR)/debian/x$${INFIX}abacus/usr/share/applications/x$${INFIX}abacus.desktop ; \
 		PIXDIR=$(CURDIR)/debian/x$${INFIX}abacus/usr/share/pixmaps ; \
-		install -D -m 0644 $(CURDIR)/pixmaps/abacus.t.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
-		install -D -m 0644 $(CURDIR)/pixmaps/abacus.m.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
+		install -D -m 0644 $(CURDIR)/pixmaps/16x16/abacus.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
+		install -D -m 0644 $(CURDIR)/pixmaps/32x32/abacus.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
 		rm $(CURDIR)/debian/x$${INFIX}abacus/usr/share/games/xabacus/Abacus.ps ; \
 	done
