## xabacus 8.0.8

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2014  David A. Bagley, bagleyd@tux.org
+# Copyright 1995 - 2016  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
