=== debian/changelog ===
xabacus (8.0.8-1) unstable; urgency=medium

  * [23dfa61] change of xabacus hosting, adjusting debian/* accordingly
  * [74e3767] New upstream version 8.0.8
  * [8b58ec7] debian/copyright / debian/*doc-base: update author and copyright year
  * [ec39d90] change sound system from esound to nas (Closes: 856091)
  * [340a9a2] debian/control: update Vcs-* fields
  * [e04c568] drop lesstif2 from xmabacus package description and menu
  * [9b830c6] use up-to-date debhelper compatibility level
  * [2898189] debian/control: update Standards-Version (no changes required)

 -- Florian Ernst <florian@debian.org>  Sun, 25 Jun 2017 11:55:30 +0200
