=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: games
 Priority: optional
 Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Build-Depends: autotools-dev,
-               debhelper (>= 5),
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
-               libesd0-dev,
+               libaudio-dev,
                libmotif-dev,
                libxpm-dev,
                libxt-dev
-Homepage: http://www.tux.org/~bagleyd/abacus.html
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xabacus.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/xabacus.git
+Homepage: http://www.sillycycle.com/abacus.html
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xabacus.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/xabacus.git
 
 Package: xabacus
 Architecture: any
@@ -42,6 +42,5 @@
  the Chinese, Japanese, Korean, Roman and Russian version and can be
  modified to allow others.
  .
- This is the Motif version which shows additional functionality. It was
- compiled with lesstif2. Motif is a GUI widget library for the X Window
- system.
+ This is the Motif version which shows additional functionality. Motif
+ is a GUI widget library for the X Window system.
