=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr --bindir=/usr/games --with-xpm \
-		    --without-rplay --with-esound --without-nas
+		    --without-rplay --without-esound --with-nas
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
