=== debian/watch ===
version=2
http://www.sillycycle.com/abacus/ xabacus-(.*)\.tar\.xz
