## xabacus 8.1.4+dfsg1

=== debian/changelog ===
xabacus (8.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Deleted unnecessary sources directory win32 and repackaging.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 29 Oct 2017 11:11:28 +0100

xabacus (8.1.3+dfsg1-1) unstable; urgency=medium

  * New maintainer (Closes: #870519).
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update debian/watch file to version 4 and added dversionmangle
    option.
  * Update Standards-Version (4.1.1):
    - Removed autotools-dev dependency on debian/control.
  * Changed debian/rules to make the build reproducible,
    thanks Chris Lamb (Closes: #865994).
  * Changed the Priority field to optional from xmabacus 
    on debian/control.
  * Removed duplicate field Priority on debian/control.
  * Added Keywords field on debian/*.desktop files.
  * Removed obsolete menu files on debian directory.
  * Re-written the debian/copyright file to the standard 1.0 format.
  * Install play.sh file on /usr/share/games/xabacus/:
    + Added move-play-file.patch file to change installation directory. 
    + Added configuration flag on debian/rules.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 30 Sep 2017 18:20:12 +0100
