=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xabacus
 Section: games
 Priority: optional
-Maintainer: Florian Ernst <florian@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: autotools-dev,
-               debhelper (>= 10),
+Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,
@@ -33,7 +32,6 @@
 Package: xmabacus
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Priority: extra
 Provides: xabacus
 Conflicts: xabacus
 Replaces: xabacus
