## xabacus 8.1.5+dfsg1

=== debian/changelog ===
xabacus (8.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update Standards-Version (4.1.2): no changes required.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Fri, 08 Dec 2017 17:05:21 +0100
