=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Build-Depends: debhelper (>= 10),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
