## xabacus 8.1.6+dfsg1

=== debian/changelog ===
xabacus (8.1.6+dfsg1-1) unstable; urgency=medium

  * New upstream version.
    + Updated years on debian/copyright.
  * Deleted unnecessary sources directory win32 and repackaging.
  * Update Standards-Version (4.1.3):
    * Bumped to debhelper 11.
  * Removed unnecessary move-play-file-config.patch file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 10 Feb 2018 18:28:55 +0100
