## xabacus 8.1.7+dfsg1

=== debian/changelog ===
xabacus (8.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version (4.1.4).
  * Write secure copyright format uri on debian/copyright file.
  * Added Files-Excluded and Comment fields on debian/copyright.
  * Migrated repository to salsa.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 14 Apr 2018 10:09:24 +0100
