=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
@@ -11,8 +11,8 @@
                libxpm-dev,
                libxt-dev
 Homepage: http://www.sillycycle.com/abacus.html
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/xabacus.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xabacus.git
+Vcs-Browser: https://salsa.debian.org/demarchi-guest/xabacus
+Vcs-Git: https://salsa.debian.org/demarchi-guest/xabacus.git
 
 Package: xabacus
 Architecture: any
