## xabacus 8.2.1

=== win32/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1995 - 2016  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1995 - 2017  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -117,25 +117,29 @@
 INCPATH = /usr/local/include
 #LIBPATH = $(CHOME)lib
 LIBPATH = $(CHOME)
+#INCLUDES = -I$(INCPATH) -I/usr/include/libxml2
 INCLUDES = -I$(INCPATH)
+#LIBRARIES = -L$(LIBPATH) -lwinmm -lxml2 -lz -llzma -liconv -lm
 LIBRARIES = -L$(LIBPATH) -lwinmm -lm
 
 HDRS = $(WIDGET)P.h $(WIDGET).h \
 xwin.h file.h timer.h rngs.h sound.h version.h
 
 COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)\
-$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)
+$(WIDGET)M$(O)$(S)$(WIDGET)T$(O)$(S)$(WIDGET)E$(O)$(S)$(WIDGET)F$(O)
 OBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)rngs$(O)$(S)sound$(O)$(S)\
 $(COREOBJS)$(S)$(P)$(wIDGET)$(O)
 
 CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) \
-$(WIDGET)M$(C) $(WIDGET)T$(C)
+$(WIDGET)M$(C) $(WIDGET)T$(C) $(WIDGET)E$(C) $(WIDGET)F$(C)
 SRCS = xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C) \
 $(CORESRCS) $(P)$(wIDGET)$(C)
 
 TEXT = $(WIDGET).txt x$(wIDGET).htm
 
 #OBJS = $(SRCS:$(C)=$(O))
+
+# Define for reading xml demo -DHAVE_LIBXML2
 
 DEFINES = -DWINVER=$(WINVER) -DHAVE_UNISTD_H \
 -DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
@@ -207,6 +211,12 @@
 $(WIDGET)T$(C):	../$(WIDGET)T$(C)
 	$(LN_S) ../$(WIDGET)T$(C) $(WIDGET)T$(C)
 
+$(WIDGET)E$(C):	../$(WIDGET)E$(C)
+	$(LN_S) ../$(WIDGET)E$(C) $(WIDGET)E$(C)
+
+$(WIDGET)F$(C):	../$(WIDGET)F$(C)
+	$(LN_S) ../$(WIDGET)F$(C) $(WIDGET)F$(C)
+
 xwin$(C):	../xwin$(C)
 	$(LN_S) ../xwin$(C) xwin$(C)
 
@@ -225,21 +235,22 @@
 $(PROG)$(C):	../x$(wIDGET)$(C)
 	$(LN_S) ../x$(wIDGET)$(C) $(PROG)$(C)
 
-lessons:	../lessons
-	$(CP)r ../lessons .
-
-$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog ../NEWS
-	cat ../COPYING > $(WIDGET).txt
-	echo "" >> $(WIDGET).txt
-	cat version.h | cut -f2 -d\" >> $(WIDGET).txt
+$(wIDGET)Demo.xml:	../$(wIDGET)Demo.xml
+	$(CP)r ../$(wIDGET)Demo.xml .
+
+$(WIDGET).txt:	../COPYING version.h ../README ../TODO ../ChangeLog
+#	cat ../COPYING > $(WIDGET).txt
+#	echo "" >> $(WIDGET).txt
+	grep VERSION version.h | cut -f2 -d\" >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	sed s/^x$(wIDGET)/w$(wIDGET)/ ../README >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
 	cat ../TODO >> $(WIDGET).txt
 	echo "" >> $(WIDGET).txt
+	echo "Updates to abacus:" >> $(WIDGET).txt
 	cat ../ChangeLog >> $(WIDGET).txt
-	echo "" >> $(WIDGET).txt
-	cat ../NEWS >> $(WIDGET).txt
+#	echo "" >> $(WIDGET).txt
+#	cat ../NEWS >> $(WIDGET).txt
 
 # This is for X-Windows but contains some general stuff too.
 x$(wIDGET).htm:	../x$(wIDGET).html
@@ -250,6 +261,8 @@
 $(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
 $(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
 $(WIDGET)T$(O):	$(WIDGET).h $(WIDGET)P.h
+$(WIDGET)E$(O):	$(WIDGET)P.h
+$(WIDGET)F$(O):	$(WIDGET)P.h
 xwin$(O):	xwin.h
 file$(O):	file.h
 timer$(O):	timer.h
@@ -272,7 +285,11 @@
 
 #	$(RC) $(INCLUDES) $(PROG).rc
 
-$(PROG)$(E):	$(OBJS) $(PROG).res lessons
+# libxml2 needed
+#$(PROG)$(E):	$(OBJS) $(PROG).res $(wIDGET)Demo.xml
+#	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@
+
+$(PROG)$(E):	$(OBJS) $(PROG).res
 	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@
 
 ##$(PROG)$(E):	$(OBJS) $(PROG).res $(PROG).def
@@ -294,8 +311,7 @@
 distclean:	clean
 	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(TEXT)
 	$(RM) xwin$(C) file$(C) timer$(C) rngs$(C) sound$(C)
-	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h Abacus.les
-	$(RM)r lessons
+	$(RM) xwin.h file.h timer.h rngs.h sound.h version.h
 
 small:	all
 	strip --strip-all $(PROG)$(E); true
@@ -315,7 +331,7 @@
 lint:	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
-ASCIIWINEXTEND=c h ini rc txt htm les
+ASCIIWINEXTEND=c h ini rc txt htm
 DOSDIR=../../win/$(PROG)
 # Handles both versions (Linux and SunOS) of unix2dos and dos2unix
 
@@ -342,7 +358,7 @@
 	done
 
 dist:
-	mkdir -p $(DOSDIR)/lessons;\
+	mkdir -p $(DOSDIR);\
 	for j in $(ASCIIWINEXTEND); do\
 		for k in *.$${j}; do\
 			if [ -r $${k} ]; then\
@@ -357,12 +373,4 @@
 		if [ -r $${k} ]; then\
 			cp -p $${k} $(DOSDIR)/$${k};\
 		fi;\
-	done;\
-	for k in lessons/*.les; do\
-		if [ -r $${k} ]; then\
-			cp $${k} $(DOSDIR)/$${k}.old;\
-			cp $${k} $(DOSDIR)/$${k};\
-			unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
-			rm $(DOSDIR)/$${k}.old;\
-		fi;\
 	done
