=== debian/changelog ===
xabacus (8.2.1-1) unstable; urgency=medium

  * Adopting package (Closes: #922889)
  * New upstream release
  * Update standards version to 4.3.0
  * Upgrade to debian-compat (=12)
  * Move git repository to debian project on salsa.debian.org
  * Stop removing tiny uneccary files

 -- Jonathan Carter <jcc@debian.org>  Fri, 22 Feb 2019 12:10:16 +0000
