=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xabacus
 Section: games
 Priority: optional
-Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11),
+Maintainer: Jonathan Carter <jcc@debian.org> 
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
                libaudiofile-dev,
                libaudio-dev,
@@ -11,8 +11,8 @@
                libxpm-dev,
                libxt-dev
 Homepage: http://www.sillycycle.com/abacus.html
-Vcs-Browser: https://salsa.debian.org/demarchi-guest/xabacus
-Vcs-Git: https://salsa.debian.org/demarchi-guest/xabacus.git
+Vcs-Browser: https://salsa.debian.org/debian/xabacus
+Vcs-Git: https://salsa.debian.org/debian/xabacus.git
 
 Package: xabacus
 Architecture: any
